<!DOCTYPE html>
<html lang="vi-VN">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>NEOPAY SDK Example UAT RESULT</title>
	<style>
		div {
			word-break: break-all;
		}
	</style>
</head>

<body>
	<span id="neopay-checkout">Result</span>
	<div id="neo-response"></div>
</body>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script neopay-sdk type="text/javascript"
	src="https://cdn.jsdelivr.net/gh/neopayvn/neopay-pg-js-sdk/sdk/neopay-sdk.min.js"></script>
<script>
	$(document).ready(function () {
		const neo_PaymmentBaseUrl = "https://uat-api.neopay.vn/pg";
		const configUI = {
			neo_HiddenHeader: false,
			neo_HiddenFooter: true
		}
		const callbacks = {
			onSuccess: (data) => {
				console.log("success", data);
				let div = document.getElementById('neo-response');
				div.innerHTML += JSON.stringify(data);
			},
			onFailure: (data) => {
				console.log("failure:", data);
				let div = document.getElementById('neo-response');
				div.innerHTML += JSON.stringify(data);
			},
			onClose: (data) => {
				console.log(data)
			}
		}
		neopaySDK.init(neo_PaymmentBaseUrl, configUI, callbacks);
	})

</script>

</html>